[wxperl-users] [RFC] Removing support for wxWindows 2.2 and 2.3

  Hello,
I, personally, don't think compatibility with wxWindows 2.2 is worth keeping (since
wxWindows' team has dropped support for it), and while I am at it, it'd be
nice to remove all the 2.3 compatibility: if someone, for any reason,
can't switch to wxWindows 2.4, they can always use an older wxPerl version.
  Any comments?

Regards
Mattia



0
mbarbon
4/30/2003 1:50:15 PM
perl.wxperl.users 3070 articles. 0 followers. Follow

1 Replies
679 Views

Similar Articles

[PageSpeed] 25

--- Mattia Barbon <mbarbon@dsi.unive.it> wrote:
>   Hello,
> I, personally, don't think compatibility with wxWindows 2.2 is worth keeping (since
> wxWindows' team has dropped support for it), and while I am at it, it'd be
> nice to remove all the 2.3 compatibility: if someone, for any reason,
> can't switch to wxWindows 2.4, they can always use an older wxPerl version.
>   Any comments?

Hear hear.
I say go for it.
It's like perl and unicode,
if you want bigger and better things, you need the latest version ;)

__________________________________
Do you Yahoo!?
The New Yahoo! Search - Faster. Easier. Bingo.
http://search.yahoo.com

0
crazyinsomniac
4/30/2003 2:54:11 PM
Reply:

Similar Artilces:

RE: [wxperl-users] Building wxPerl with wxWindows 2.3.1, and usingXML resources #2
Dear Mattia, Thanks for the info - I'm getting further! I've built xrc using: nmake -f makefile.vx FINAL=3D1 to create wxxrc.lib (rather than wxxrcd.lib), and this worked fine. However, when I try building wxPerl, using: nmake=20 perl Makefile.PL nmake=20 I get the following errors (I've snipped sections out to give the gist, as it goes on quite a bit): link -out:..\..\blib\arch\auto\Wx\XRC\XRC.dll -dll -nologo -nodefaultlib -release -libpath:"c:\perl\5.6.1\lib\MSWin32-x86-multi-thread\CORE" -machine:x86 XRC.obj ..\..\blib\arch\auto\Wx\Wx.lib C:\p...

[wxperl-users] wxPerl 0.11 *beta* + wxWindows 2.3.3 *snapshot* available
This is a Win32-only binary snapshot. Use only if you know you need it. http://wwwstud.dsi.unive.it/~mbarbon/wx/ Regards mattia ...

RE: [wxperl-users] Building wxPerl with wxWindows 2.3.1, and usingXML resources #3
Dear Mattia, Forgot to say that I did a=20 nmake realclean before the=20 perl makefile.pl nmake in order to clean things up from the 2.2.7 build. James > -----Original Message----- > From: Mattia Barbon [mailto:mbarbon@dsi.unive.it] > Sent: 05 November 2001 22:19 > To: James Lavery > Cc: wxperl-users@lists.sourceforge.net > Subject: RE: [wxperl-users] Building wxPerl with wxWindows 2.3.1, and > usingXML resources >=20 >=20 > > Dear Mattia, > > Thanks for the information - it all makes sense. =20 > >=20 > > Howev...

[wxperl-users] wxPerl-0.20 Source Build on OSX.3.5/wxPython 2.5.2.7
I've just built wxPerl 0.20 as indicated in the subject, and I had a few issues: First, the syntax for wx-config used in Any_wx_config.pm::get_core_libs_25 seems to have changed: Instead of "--libs=list" it's now "--libs list". Next, Makemaker is building the root Makefile with both blibdirs: and blibdirs::. That produces an error. Changing the single colon to a double colon fixes the problem, but it has to be done every time one runs Makefile.PL. I couldn't figure out where to fix it in the MakeMaker files. Last, could you take out the...

Re:[wxperl-users] wxPerl-0.20 Source Build on OSX.3.5/wxPython 2.5.2.7
> I've just built wxPerl 0.20 as indicated in the subject, and I had a =0D = > few issues: > > First, the syntax for wx-config used in > Any_wx_c= onfig.pm::get_core_libs_25 seems to have changed: Instead of > "--libs=3D= list" it's now "--libs list". yes, it was changes in wxWidgets CVS l= ast week. > Next, Makemaker is building the root Makefile with both b= libdirs: and Which MakeMaker version? If 6.22, downgrade to 6.17 or= use the snapshot at makemaker.org. > blibdirs::. That produces an = error. Cha...

Re: [wxperl-users] wxPerl-0.20 Source Build on OSX.3.5/wxPython 2.5.2.7
> MakeMaker 6.21. Sorry. Below I meant to write: "If 6.21, downgrad= e to 6.17 or use the snapshot at makemaker.org." ^^^^ Regards=0D = Mattia > On Aug 18, 2004, at 11:56 PM, mattia.barbon@libero.it wrote:=0D = > ''' > >> Next, Makemaker is building the root Makefile with both blibd= irs: and > > > > Which MakeMaker version? If 6.22, downgrade to 6.17 = or > > use the snapshot at makemaker.org. > > > ... > > Thanks! > > = Mattia > > > > > > > > > &g...

Re: [wxperl-users] wxPerl binary for wxWindows 2.3.x?
>Of course, I 'm probalby caught between a rock and a hard place slightly - >if I want the extra functionality/fixes in wxWindows 2.3.3, I'll have to >take the potential hit on new bugs! I've been using 0.11b6 for some weeks and it's stable on my machine. I'm going to send my next preview version to a few people for testing in the day or two as well. Mattia, let me know before you release 0.11-stable, so I send you the latest STC stuff. I'm updating the sample/demo script at the moment. Marcus ...

[wxperl-users] [ wxperl-Patches-1161088 ] Listbook GetListView not in 2.5.2
Patches item #1161088, was opened at 2005-03-10 19:17 Message generated for change (Tracker Item Submitted) made by Item Submitter You can respond by visiting: https://sourceforge.net/tracker/?func=detail&atid=315655&aid=1161088&group_id=15655 Category: None Group: None Status: Open Resolution: None Priority: 5 Submitted By: Nobody/Anonymous (nobody) Assigned to: Nobody/Anonymous (nobody) Summary: Listbook GetListView not in 2.5.2 Initial Comment: Not sure if it was added in 2.5.3 or 2.5.4, but something like this is needed in XS/Listbook.xsp #if WXPERL_W...

[wxperl-users] [ wxperl-Patches-1015129 ] wxFIXED_MINSIZE added in 2.5.2
Patches item #1015129, was opened at 2004-08-24 10:07 Message generated for change (Tracker Item Submitted) made by Item Submitter You can respond by visiting: https://sourceforge.net/tracker/?func=detail&atid=315655&aid=1015129&group_id=15655 Category: None Group: None Status: Open Resolution: None Priority: 5 Submitted By: D.H. (crazyinsomniac) Assigned to: Nobody/Anonymous (nobody) Summary: wxFIXED_MINSIZE added in 2.5.2 Initial Comment: --- Constant.xs 2004-08-24 03:00:13.093750000 - 0700 +++ Constant.xs.new 2004-08-24 03:04:18.781250000 -0700 @@ -836...

[wxperl-users] Building wxPerl with wxWindows 2.3.1, and using XML resources
Hi All, I'm new to wxPerl and wxWindows, (but not to Perl...), and am a bit confused about a couple of things... I want to use XML resource files with wxPerl, and understand that this is only available with the 'unstable' 2.3.1 version of wxWindows. I've downloaded and built this with no problems, into c:\wx2.3.1\wx23_1.dll. Three questions: 1. How do I rebuild wxPerl to use this version of wxWindows? =20 I've tried editing build\nmake.mak to change WXWIN to c:\wx2.3.1, and rebuilding the makefile for wxPerl and remaking, but I get the errors: Controls....

RE: [wxperl-users] Building wxPerl with wxWindows 2.3.1, and usingXML resources
Dear Mattia, Thanks for the information - it all makes sense. =20 However, I tried downloading the latest snapshot from http://wxperl.sourceforge.net/snapshot/wxPerl.zip, and I get the same "'SetString' : is not a member of 'wxRadioBox'" error. Am I getting the correct snapshot? Wx.pm in the snapshot has a version of 0.08. Thanks, James > Dear Mattia, > Thanks for the information - it all makes sense. > > However, I tried downloading the latest snapshot from > http://wxperl.sourceforge.net/snapshot/wxPerl.zip, and I get the sam...

RE: [wxperl-users] Building wxPerl with wxWindows 2.3.1, and usingXML resources #4
Dear Mattia, Excellent! I've got things built, now I just have to get to grips with resources... Thanks a lot, James > -----Original Message----- > From: Mattia Barbon [mailto:mbarbon@dsi.unive.it] > Sent: 06 November 2001 15:34 > To: James Lavery > Cc: wxperl-users@lists.sourceforge.net > Subject: RE: [wxperl-users] Building wxPerl with wxWindows 2.3.1, and > usingXML resources >=20 >=20 > > Dear Mattia, > > Thanks for the info - I'm getting further! > >=20 > > I've built xrc using: > > nmake -f makef...

RE: [wxperl-users] Plans for wxPerl 0.23, wxWidgets 2.6.0 #2
Hello, > I tried to compile wxPerl CVS against 2.6.0 and I got the = errors as below. > > I am compiling on WinXP using MSVC6. Should this = work? Have others > successfully compiled? Yes, but with MSVC 5 and= GCC (various versions), not MSVC 6. Are you up to date with MSVC servic= e packs? > C:\Perl\bin\perl.exe C:\Perl\lib\ExtUtils/xsubpp = -noprototypes > -nolinen <snip> > Grid.c(390) : warning C4189: 'CLAS= S' : local variable is initialized but not > referenced > Grid.c(464) := fatal error C1001: INTERNA...

RE: Re[2]: [wxperl-users] Installation on FreeBSD 5.3 #2
Hello, > > > > Can anyone point me in the right direction? > > =0D = > > > Not without some more information... > > > what ExtUtils::MakeMa= ker version do you have? > > > > $VERSION =3D '6.17'; > > > > > Wh= at is the output of > > > make > > > > ./cpp/helpers.h:27: error: `wx= OutputStream' does not name a type > > ./cpp/helpers.h:37: error: expect= ed `,' or `...' before '*' token > > ./cpp/helpers.h:37: error: ISO C++ = forbids declarati...

Web resources about - [wxperl-users] [RFC] Removing support for wxWindows 2.2 and 2.3 - perl.wxperl.users

O'Reilly Open Source Convention 2007 • July 23-27, 2007 • Portland, Oregon
O'Reilly Open Source Convention 2007 - July 23-27, 2007 - Portland, Oregon

Resources last updated: 11/27/2015 10:23:53 PM